Bug 491563 - Missing flexibility to tell the user about captcha-only webwhois servers
Missing flexibility to tell the user about captcha-only webwhois servers
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 19:42 EDT by Robert Scheck
Modified: 2011-04-05 03:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwhois-4.0-nowhois.patch (11.83 KB, patch)
2009-08-16 13:55 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2009-03-22 19:42:13 EDT
Description of problem:
I'm missing flexibility to tell the user somehow about captcha-only webwhois
servers such as some strange and even bigger registries have. For example, the
registries for .es, .gr and .nc are requiring the user to enter a captcha via
http before showing anything. I would like to see jwhois prompting a message,
that this strange registry violates against RFC/whois and that the user has to
go to some URL and to perform the whois/lookup there, e.g.

$ whois <domain>.nc
The domain name registry of .nc unluckily doesn't provide neither a
RFC compliant whois service nor some other kind of whois service that
could be queried without a graphical user interface. Thus this whois
request has to be performed manually using a web browser, please visit
the website: http://www.domaine.nc/en/whois.html
$

In configuration file, something like the following should be suitable IMHO:

--- snipp ---
"\\.nc$" = "www.domaine.nc";

server-options {
  "www\\.domaine\\.nc" {
    webonly = "true";
    webonly-path = "/en/whois.html";
  }
--- snapp ---

Version-Release number of selected component (if applicable):
jwhois-4.0-12

How reproducible:
Everytime, see above and below.  

Actual results:
Missing flexibility to tell the user about captcha-only webwhois servers.

Expected results:
An ugly workaround could be some kind of a lynx-wrapper in before, which knows
the worse top-level-domains and handles exactly that using regular expressions.
But I would like to see this sane solved and in jwhois directly. Maybe we can
hack in such a functionality into jwhois?
Comment 1 Robert Scheck 2009-03-22 19:45:13 EDT
Captcha-only is maybe wrong, because some registries also use JavaScript and
nice stuff nobody wants. So "webonly" is maybe a better common calling...
Comment 2 Bug Zapper 2009-06-09 08:30:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Robert Scheck 2009-08-16 13:55:46 EDT
Created attachment 357583 [details]
jwhois-4.0-nowhois.patch

This is my proposal to solve my mentioned issue. It can either output a
URL from the configuration file if the registry just has something webbased
which can't be queried via lynx/w3m etc. because of captcha or JavaScript
or it can output that there's no automated whois server at this registry
at all.

Vitezslav, can you maybe technically review my patch? I'm not really a C
coder nor do I have very deep knowledge about jwhois. I've sent my proposal
to the sometimes responsive upstream, too.
Comment 4 Bug Zapper 2009-11-16 04:52:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-03-15 08:29:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.